class Constants {
  /**
   * The amount of time in ms a bit takes to transmit.
   *
   * @type {Number}
   */
  static get CLOCK_TIME() {
    return 500;
  }

  /**
   * The preamble that is sent before the packet.
   *
   * @type {Number[]}
   */
  static get PREAMBLE() {
    return [1, 1, 1, 0, 0, 0, 1, 1, 1];
  }

  /**
   * The number of workers that should be started.
   *
   * @type {Number}
   */
  static get NUMBER_OF_WORKERS() {
    return 8;
  }

  /**
   * The CSS class to add to buttons that should be hidden.
   *
   * @type {String}
   */
  static get HIDE_CLASS() {
    return "hide";
  }
}
